MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026491Open CASCADE[OCCT] OCCT:DRAWpublic2015-07-28 14:012018-06-23 14:05
Reporterskv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026491: Incorrect OCAF format management
DescriptionIf you use the DRAW command Open, it uses CDF_Session object to obtain the application to open the document. CDF_Session object is a singleton that has the method SetCurrentApplication to set the application to be used for document management. This method is called from TDocStd_Application (root of all OCAF application classes) constructor.

It means that the application for opening OCAF document is always the last created one. They are created at the time of a certain plugin loading. So the order of loaded plugins defines the behavior.

It is not correct. It should be possible to define the correct application to load document either automatically or manually initializing CDF_Session object with the correct application.
Steps To ReproduceThe following example shows the problem with BinOcaf format.

1. Case of failure:
Run Draw session
pload OCAFKERNEL DATAEXCHANGE
SetApp Std
Open Study1_new_GEOM.cbf D

2. Case of success:
Run Draw session
pload DATAEXCHANGE OCAFKERNEL
SetApp Std
Open Study1_new_GEOM.cbf D
Additional information
and documentation updates
Now OCAF application should be set explicitly using the new command SetAppStd.
This command uses single parameter - application type. At the moment 4 types are supported:
- Std for AppStd_Application;
- StdL for AppStdL_Application;
- XCAF for XCAFApp_Application;
- TObj for TObj_Application
TagsNo tags attached.
Test case numberbugs caf bug26491_1, bug26491_2
Attached Files? file icon Study1_new_GEOM.cbf (412,133 bytes) 2015-07-28 14:01

- Relationships
related to 0025812closedabv Replace dynamic loading mechanism of OCAF persistence with dynamic-link one 
related to 0029195feedbackszy OCAF - ensure thread safety for different documents 

-  Notes
(0046031)
git (administrator)
2015-09-23 12:41

Branch CR26491 has been created by szy.

SHA-1: 21b1637e63b1035ae68e3194969e8c8987aa6f0a


Detailed log of new commits:

Author: szy
Date: Wed Sep 23 12:40:54 2015 +0300

    26491: Incorrect OCAF format management. EXTERNLIB file.

Author: szy
Date: Wed Sep 23 12:29:53 2015 +0300

    26491: Incorrect OCAF format management. Cxx files.
(0046034)
szy (developer)
2015-09-23 12:48

The problem is fixed in branch CR26491.
New Draw command 'SetApp appType' is added.
The 'appType' = {Std, StdL, XCAF, TObj} - current acceptable types of application.
Additional command 'CheckApp' is defined to check current application type (if set).
Now after loading a requred component by command 'pload ...' it is necessary
to set desirable application using Draw command 'SetApp <type>'
Review it, please.
szy
(0046102)
git (administrator)
2015-09-24 18:26

Branch CR26491 has been updated forcibly by mkv.

SHA-1: 215c969eb1c003a1104a03da2e29c3f0397820c7
(0046142)
mkv (tester)
2015-09-25 16:26

Dear BugMaster,
Branch CR26491 was rebased on branch IR-2015-09-24 of occt git-repository.
SHA-1: 215c969eb1c003a1104a03da2e29c3f0397820c7
(0046143)
mkv (tester)
2015-09-25 16:26

Dear BugMaster,
Branch CR26491 from occt git-repository (and IR-2015-09-24 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 215c969eb1c003a1104a03da2e29c3f0397820c7

Number of compiler warnings:

occt component :
Linux: 13 (13 on IR-2015-09-24)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:

An exception was caught 00000000021D2E10 : Standard_DomainError: DDocStd::Find no applicative session

http://occt-tests/CR26491-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/summary.html [^]

http://occt-tests/CR26491-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-master-products-64/Windows-64-VC10/summary.html [^]

Testing cases:


Testing on Linux:
occt component :
Total MEMORY difference: 60583479 / 59878929 [+1.18%]
Total CPU difference: 13708.99000000015 / 13791.230000000136 [-0.60%]
products component :
Total MEMORY difference: 14806207 / 14799033 [+0.05%]
Total CPU difference: 4700.369999999996 / 4609.640000000002 [+1.97%]

Testing on Windows:
occt component :
Total MEMORY difference: 34465104 / 34478928 [-0.04%]
Total CPU difference: 12254.377753199657 / 12133.601778999637 [+1.00%]
products component :
Total MEMORY difference: 9603443 / 9555747 [+0.50%]
Total CPU difference: 3352.867092599973 / 3347.3602572999757 [+0.16%]
(0046144)
mkv (tester)
2015-09-25 16:27

Dear szy,
Branch CR26491 has been rejected due to:
- regressions/differences/improvements
(0046231)
git (administrator)
2015-09-28 18:44

Branch CR26491 has been updated forcibly by szy.

SHA-1: ffd1a47738bfa60960591a4c5b275e06bf3f514e
(0046232)
szy (developer)
2015-09-28 18:45

Scripts are fixed.
(0046233)
szy (developer)
2015-09-28 18:45

Reviewed.
To be tested.
(0046234)
git (administrator)
2015-09-28 19:21

Branch CR26491 has been updated forcibly by mkv.

SHA-1: 49b3f402c372b9e48b4951fc6bae7397d5878758
(0046282)
mkv (tester)
2015-09-29 18:26

Dear BugMaster,
Branch CR26491 was rebased on current master of occt git-repository.
SHA-1: 49b3f402c372b9e48b4951fc6bae7397d5878758
(0046283)
mkv (tester)
2015-09-29 18:27

Dear BugMaster,
Branch CR26491 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 49b3f402c372b9e48b4951fc6bae7397d5878758

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26491-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/summary.html [^]
bugs xde bug533, bug22962
xml ocaf_xml A1, A2, A3, A4, A5, A6, A7, A8, A9, B1, B2, B3, B4, B5, B6, B7, B8, B9, C1, C2, C3, C4, C5, C6, C7, C8, C9, D1, D2, D3, D4, D5, D6

An exception was caught 00000000023728A0 : Standard_DomainError: DDocStd::Find no applicative session
http://occt-tests/CR26491-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-master-products-64/Windows-64-VC10/summary.html [^]

Testing cases:
http://occt-tests/CR26491-master-occt-64/Debian70-64/bugs/caf/bug26491_1.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/bugs/caf/bug26491_1.html [^]
bugs caf bug26491_1: OK
http://occt-tests/CR26491-master-occt-64/Debian70-64/bugs/caf/bug26491_2.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/bugs/caf/bug26491_2.html [^]
bugs caf bug26491_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93380754 / 93255799 [+0.13%]
Total CPU difference: 19583.879999999193 / 19751.759999999238 [-0.85%]
products component :
Total MEMORY difference: 14826380 / 14802852 [+0.16%]
Total CPU difference: 4968.149999999981 / 4610.430000000002 [+7.76%]

Testing on Windows:
occt component :
Total MEMORY difference: 57919477 / 57916991 [+0.00%]
Total CPU difference: 18012.04706109907 / 17722.88360749908 [+1.63%]
products component :
Total MEMORY difference: 9609884 / 9562193 [+0.50%]
Total CPU difference: 3276.7386045999774 / 3348.8890670999754 [-2.15%]

There are following differences in images found by testdiff.
http://occt-tests/CR26491-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE demo samples pencil: pencil.png differs
(0046284)
git (administrator)
2015-09-29 18:27

Branch CR26491 has been updated by mkv.

SHA-1: dd3856d5dd2bf649a0e9a87d9ef33222f03a85cd


Detailed log of new commits:

Author: mkv
Date: Tue Sep 29 18:25:28 2015 +0300

    Test cases for issue CR26491

(0046285)
mkv (tester)
2015-09-29 18:28

Dear szy,
Branch CR26491 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0046286)
mkv (tester)
2015-09-29 18:28

Dear szy,
could you please review following test case
bugs caf bug26491_1, bug26491_2
(0046334)
git (administrator)
2015-09-30 16:57

Branch CR26491 has been updated by szy.

SHA-1: 18b25a12b93d45105531eac46039032e4f933c7e


Detailed log of new commits:

Author: szy
Date: Wed Sep 30 16:57:03 2015 +0300

    26491: Incorrect OCAF format management. Scripts fixing + Draw command messaging improvement.

Author: szy
Date: Wed Sep 30 15:01:39 2015 +0300

    Merge branch 'CR26491' of git.dev.opencascade.org:occt into CR26491

Author: szy
Date: Mon Sep 28 18:39:30 2015 +0300

    26491: Incorrect OCAF format management. Fixing testing scripts & small improvement of Draw command.

Author: szy
Date: Wed Sep 23 12:40:54 2015 +0300

    26491: Incorrect OCAF format management. EXTERNLIB file.

Author: szy
Date: Wed Sep 23 12:29:53 2015 +0300

    26491: Incorrect OCAF format management. Cxx files.

(0046335)
szy (developer)
2015-09-30 16:59

Scripts modified (added new command 'SetApp' provided before in reproducer).
Patch integrated in branch.
(0046336)
szy (developer)
2015-09-30 17:00

Reviewed.
(0046402)
mkv (tester)
2015-10-02 15:32

Dear BugMaster,
Branch CR26491 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 18b25a12b93d45105531eac46039032e4f933c7e

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
Failed:
http://occt-tests/CR26491-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/summary.html [^]
  bugs xde bug533, bug22962
  xml ocaf_xml A1, A2, A3, A4, A5, A6, A7, A8, A9, B1, B2, B3, B4, B5, B6, B7, B8, B9, C1, C2, C3, C4, C5, C6, C7, C8, C9, D1, D2, D3, D4, D5, D6

An exception was caught 0000000001FA2140 : Standard_DomainError: DDocStd::Find no applicative session
http://occt-tests/CR26491-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-master-products-64/Windows-64-VC10/summary.html [^]

Testing cases:
http://occt-tests/CR26491-master-occt-64/Debian70-64/bugs/caf/bug26491_1.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/bugs/caf/bug26491_1.html [^]
bugs caf bug26491_1: OK
http://occt-tests/CR26491-master-occt-64/Debian70-64/bugs/caf/bug26491_2.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/bugs/caf/bug26491_2.html [^]
bugs caf bug26491_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93649970 / 93202304 [+0.48%]
Total CPU difference: 19490.48999999942 / 19497.09999999922 [-0.03%]
products component :
Total MEMORY difference: 14841580 / 14786852 [+0.37%]
Total CPU difference: 4725.070000000006 / 4606.060000000003 [+2.58%]

Testing on Windows:
occt component :
Total MEMORY difference: 57923545 / 57916747 [+0.01%]
Total CPU difference: 18811.396185099085 / 17722.805606999078 [+6.14%]
products component :
Total MEMORY difference: 9498358 / 9450676 [+0.50%]
Total CPU difference: 3503.673259299973 / 3144.371756099977 [+11.43%]

There are following differences in images found by testdiff.
http://occt-tests/CR26491-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26491-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE demo samples pencil: pencil.png differs
(0046403)
mkv (tester)
2015-10-02 15:32

Dear szy,
Branch has been rejected due to:
- regressions/differences/improvements
- differences in images
(0049685)
git (administrator)
2015-12-30 15:52

Branch CR26491 has been updated by szy.

SHA-1: a36c07475d79890609c647da51edb727dfa5e2f4


Detailed log of new commits:

Author: szy
Date: Wed Dec 30 15:52:39 2015 +0300

    0026491: Incorrect OCAF format management (fix of the last regressions)

(0049686)
szy (developer)
2015-12-30 15:57

Regressions resolved:

1) bugs xde bug533, bug22962
==> Both are fixed

2) xml ocaf_xml A1, A2, A3, A4, A5, A6, A7, A8, A9, B1, B2, B3, B4, B5, B6, B7, B8, B9, C1, C2, C3, C4, C5, C6, C7, C8, C9, D1, D2, D3, D4, D5, D6
==> All are fixed



(0049687)
szy (developer)
2015-12-30 15:58

Can be tested.
(0049727)
abv (manager)
2016-01-08 10:03

The branch must be squashed to single commit with appropriate description.
(0049774)
mkv (tester)
2016-01-11 14:33

Dear szy,
could you please rebase branch CR26491 on current master, there are conflict files.
(0049796)
git (administrator)
2016-01-12 17:28

Branch CR26491_1 has been created by szy.

SHA-1: 2ce59b0cfa5dd3a814557746a98cc9073ffce0e7


Detailed log of new commits:

Author: szy
Date: Tue Jan 12 17:28:09 2016 +0300

    26491: Incorrect OCAF format management
(0049797)
szy (developer)
2016-01-12 17:37

Merged in one patch and rebased.
(0049798)
szy (developer)
2016-01-12 17:38

Test, please.
(0049858)
mkv (tester)
2016-01-14 15:09

Dear BugMaster,
Branch CR26491_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2ce59b0cfa5dd3a814557746a98cc9073ffce0e7

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 134 (134 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:

http://occt-tests/CR26491-1-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-1-master-occt-64/Windows-64-VC10/summary.html [^]
Failed:
  bugs modalg_6 bug26576_1, bug26576_2, bug26576_3
  gdt export A1, A2, A3, A4, A5
  gdt import A1, A2, A3, A4, A5


http://occt-tests/CR26491-1-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-1-master-products-64/Windows-64-VC10/summary.html [^]

Testing cases:
http://occt-tests/CR26491-1-master-occt-64/Debian70-64/bugs/caf/bug26491_1.html [^]
bugs caf bug26491_1: OK
http://occt-tests/CR26491-1-master-occt-64/Debian70-64/bugs/caf/bug26491_2.html [^]
bugs caf bug26491_2: OK

There are no differences in images found by testdiff.
(0049859)
git (administrator)
2016-01-14 15:16

Branch CR26491_1 has been updated by mkv.

SHA-1: 0d175c1930f598c5a46300dd5605ee4d6360bbee


Detailed log of new commits:

Author: mkv
Date: Thu Jan 14 15:16:27 2016 +0300

    Test cases for issue CR26491

(0049860)
mkv (tester)
2016-01-14 15:17

Dear szy,
Branch CR26491_1 has been rejected due to:
- regressions/differences/improvements
(0049951)
git (administrator)
2016-01-19 17:51

Branch CR26491_1 has been updated by szy.

SHA-1: 61e3ebcea8b32dc64b29c1d92a6bf238da44d672


Detailed log of new commits:

Author: szy
Date: Tue Jan 19 17:51:39 2016 +0300

    26491: Incorrect OCAF format management (fix for additional test cases)

(0049952)
szy (developer)
2016-01-19 17:53

Fixed.
Now testgrids for modalg_6 and gdt export / gdt import are OK.
(0049953)
szy (developer)
2016-01-19 17:54

Test, please.
(0049954)
git (administrator)
2016-01-19 18:15

Branch CR26491_1 has been updated forcibly by mkv.

SHA-1: 1328415659cd34f96907f114da1d89995fef9f7e
(0049970)
mkv (tester)
2016-01-20 14:01

Dear BugMaster,
Branch CR26491_1 was rebased on current master of occt git-repository.
SHA-1: 1328415659cd34f96907f114da1d89995fef9f7e
(0049971)
mkv (tester)
2016-01-20 14:02

Dear BugMaster,
Branch CR26491_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1328415659cd34f96907f114da1d89995fef9f7e

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 7 (7 on master)

products component :
Linux: 36 (36 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR26491-1-master-products-64/Debian70-64/summary.html [^]
http://occt-tests/CR26491-1-master-products-64/Windows-64-VC10/summary.html [^]

Testing cases:
http://occt-tests/CR26491-1-master-occt-64/Debian70-64/bugs/caf/bug26491_1.html [^]
http://occt-tests/CR26491-1-master-occt-64/Windows-64-VC10/bugs/caf/bug26491_1.html [^]
bugs caf bug26491_1: OK
http://occt-tests/CR26491-1-master-occt-64/Debian70-64/bugs/caf/bug26491_2.html [^]
http://occt-tests/CR26491-1-master-occt-64/Windows-64-VC10/bugs/caf/bug26491_2.html [^]
bugs caf bug26491_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89567196 / 89167104 [+0.45%]
Total CPU difference: 18920.849999999824 / 19385.940000000006 [-2.40%]
products component :
Total MEMORY difference: 14103236 / 13983982 [+0.85%]
Total CPU difference: 5475.549999999995 / 4770.099999999986 [+14.79%]

Testing on Windows:
occt component :
Total MEMORY difference: 57243670 / 56950817 [+0.51%]
Total CPU difference: 17756.923025698914 / 17628.674603598854 [+0.73%]
products component :
Total MEMORY difference: 9470701 / 9387172 [+0.89%]
Total CPU difference: 3229.173899699979 / 3294.8503206999776 [-1.99%]

There are following differences in images found by testdiff.
http://occt-tests/CR26491-1-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26491-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE demo samples pencil: pencil.png differs
(0049972)
mkv (tester)
2016-01-20 14:02

Dear szy,
Branch CR26491_1 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0054803)
git (administrator)
2016-06-08 15:34

Branch CR26491_2 has been created by szy.

SHA-1: 120e312ac71749866b93c0ada2f2f3fb204dea2a


Detailed log of new commits:

Author: szy
Date: Wed Jun 8 15:34:38 2016 +0300

    26491: Incorrect OCAF format management - rebased.
(0054804)
szy (developer)
2016-06-08 15:37

Branch is re-based on current master ==> CR26491_2.
Retest it, please.
(0054805)
szy (developer)
2016-06-08 15:38

CR26491_2 can be tested.
(0054825)
git (administrator)
2016-06-08 18:55

Branch CR26491_2 has been updated by szy.

SHA-1: 7c2d8635181aef02b307ef3d08b9ee5d59f507f5


Detailed log of new commits:

Author: szy
Date: Wed Jun 8 18:55:39 2016 +0300

    26491: Incorrect OCAF format management. Correction of scripts.

(0054837)
mkv (tester)
2016-06-09 12:00

Dear BugMaster,
Branch CR26491_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 120e312ac71749866b93c0ada2f2f3fb204dea2a

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1131

Regressions/Differences/Improvements:
http://occt-tests/CR26491-2-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR26491-2-master-OCCT/Windows-64-VC10/summary.html [^]
An exception was caught 0x24fb220 : Standard_DomainError: DDocStd::Find no applicative session

http://occt-tests/CR26491-2-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR26491-2-master-Products/Windows-64-VC10/summary.html [^]
An exception was caught 0000000001F9C270 : Standard_DomainError: DDocStd::Find no applicative session

Testing cases:
http://occt-tests/CR26491-2-master-OCCT/Debian70-64/bugs/caf/bug26491_1.html [^]
http://occt-tests/CR26491-2-master-OCCT/Windows-64-VC10/bugs/caf/bug26491_1.html [^]
bugs caf bug26491_1: OK
http://occt-tests/CR26491-2-master-OCCT/Debian70-64/bugs/caf/bug26491_2.html [^]
http://occt-tests/CR26491-2-master-OCCT/Windows-64-VC10/bugs/caf/bug26491_2.html [^]
bugs caf bug26491_2: OK
(0054838)
mkv (tester)
2016-06-09 12:01

Dear szy,
Branch CR26491_2 has been rejected due to:
- regressions/differences/improvements
(0054840)
git (administrator)
2016-06-09 12:27

Branch CR26491_2 has been updated by szy.

SHA-1: 0e83f097ff2de9c7f0fdc9aff9720444a6310114


Detailed log of new commits:

Author: szy
Date: Thu Jun 9 12:27:25 2016 +0300

    26491: Incorrect OCAF format management. Correction of bugs/xde/bug22962 script.

(0054843)
git (administrator)
2016-06-09 14:55

Branch CR26491_2 has been updated by szy.

SHA-1: 03ba3397f00917d751aea9ce61057d803e3b7c19


Detailed log of new commits:

Author: szy
Date: Thu Jun 9 14:55:03 2016 +0300

    26491: Incorrect OCAF format management. OCCT testing scripts correction.

(0054849)
szy (developer)
2016-06-09 16:59
edited on: 2016-06-09 17:00

Resolved.

1).OCCT:
All case from
"bugs / modalg_5",
"bugs / moddata_3",
"bugs / xde" - fixed.

The case "bugs / mesh / bug25378_3_3" - is not applicable.
It concerns only triangulation feature "incmesh", where OCAF is not used at all.
Besides single test like
Draw[3]> test bugs mesh bug25378_3_3 1
gives expected metrics and status OK.
But if you use 'testgrid'

Draw[4]> testgrid bugs mesh

It gives Failed status due to too much long time of triangulation.
Probably author of this script should re-check this predefined time.
See below log:
Draw[3]> test bugs mesh bug25378_3_3 1
dsetenv TEMPDIR
dsetenv TempDir
dsetenv tempdir
Executing D:/Products/OCCDEV/opencascade-dev/tests/bugs/begin...
cpulimit 1000
dversion
Open CASCADE Technology 7.0.1.dev
TBB enabled (HAVE_TBB)
GL2PS enabled (HAVE_GL2PS)
FreeImage enabled (HAVE_FREEIMAGE)
OpenCL disabled
VTK disabled
Exceptions disabled (No_Exception)
Compiler: MS Visual C++ 10.0 (_MSC_FULL_VER = 160040219)
Architecture: AMD64
OS: Windows

Executing D:/Products/OCCDEV/opencascade-dev/tests/bugs/mesh/bug25378_3_3...
============
CR25378
============

brestore //VIRTEX/dn43/occt_tests_data/private/customers/CFturbo/bug25378_Blower_good.brep n
n
trinfo b

This shape contains 3707 triangles.
                    1877 nodes.
Maximal deflection 2.2442921509627798


tclean b
incmesh b 0.001
Incremental Mesh, multi-threading OFF
Meshing statuses: NoError
t_001=14
trinfo b

This shape contains 169445 triangles.
                    84914 nodes.
Maximal deflection 0.0025649900894438001


dversion
Open CASCADE Technology 7.0.1.dev
TBB enabled (HAVE_TBB)
GL2PS enabled (HAVE_GL2PS)
FreeImage enabled (HAVE_FREEIMAGE)
OpenCL disabled
VTK disabled
Exceptions disabled (No_Exception)
Compiler: MS Visual C++ 10.0 (_MSC_FULL_VER = 160040219)
Architecture: AMD64
OS: Windows

dversion
Open CASCADE Technology 7.0.1.dev
TBB enabled (HAVE_TBB)
GL2PS enabled (HAVE_GL2PS)
FreeImage enabled (HAVE_FREEIMAGE)
OpenCL disabled
VTK disabled
Exceptions disabled (No_Exception)
Compiler: MS Visual C++ 10.0 (_MSC_FULL_VER = 160040219)
Architecture: AMD64
OS: Windows

Improvement. 3. Time of building of triangulation , 14 seconds, is less than expected time - 20 seconds
Executing D:/Products/OCCDEV/opencascade-dev/tests/bugs/end...
TEST COMPLETED
MEMORY DELTA: 0 KiB
TOTAL CPU TIME: 14 sec

2) Products
All test cases corrected (added new command 'SetApp')
Branch - CR26491_3

(0054850)
szy (developer)
2016-06-09 17:00

Reviewed, can be tested.
(0054913)
mkv (tester)
2016-06-10 15:42

Dear BugMaster,
corrected test cases from CR26491_2 and CR26491_3 branches are retested.


Regressions/Differences/Improvements:
http://occt-tests/CR26491-2-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR26491-2-master-Products/Windows-64-VC10/summary.html [^]
Improvements:
  omf caf A5
Failed:
  emesh bugs bug22791_1, bug22791_2, bug22791_3, bug22791_4, bug22791_5, bug22791_6

Testing cases:
http://occt-tests/CR26491-2-master-OCCT/Debian70-64/bugs/caf/bug26491_1.html [^]
http://occt-tests/CR26491-2-master-OCCT/Windows-64-VC10/bugs/caf/bug26491_1.html [^]
bugs caf bug26491_1: OK
http://occt-tests/CR26491-2-master-OCCT/Debian70-64/bugs/caf/bug26491_2.html [^]
http://occt-tests/CR26491-2-master-OCCT/Windows-64-VC10/bugs/caf/bug26491_2.html [^]
bugs caf bug26491_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89314950 / 88735119 [+0.65%]
Total CPU difference: 19468.300000000116 / 19850.60999999993 [-1.93%]
products component :
Total MEMORY difference: 27567419 / 27587787 [-0.07%]
Total CPU difference: 5026.409999999991 / 5161.799999999994 [-2.62%]

Testing on Windows:
occt component :
Total MEMORY difference: 55988521 / 55967213 [+0.04%]
Total CPU difference: 18353.86085219878 / 18470.736801398853 [-0.63%]
products component :
Total MEMORY difference: 18775596 / 18696023 [+0.43%]
Total CPU difference: 4900.209811399946 / 5027.069824599947 [-2.52%]

There are following differences in images found by testdiff.
http://occt-tests/CR26491-2-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR26491-2-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE demo samples pencil: pencil.png differs
(0054914)
mkv (tester)
2016-06-10 15:42

Dear szy,
Branch CR26491_2 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0054973)
git (administrator)
2016-06-14 16:53

Branch CR26491_2 has been updated by szy.

SHA-1: 5d45e46c95497900056decaf1f8006da5469e2e7


Detailed log of new commits:

Author: szy
Date: Tue Jun 14 16:53:37 2016 +0300

    26491: Incorrect OCAF format management. Correction of testing scripts (samples\tcl\pencil.tcl)

(0054974)
szy (developer)
2016-06-14 16:58
edited on: 2016-06-14 17:11

Fixed.
Don't forget CR26491_3 from Products too.

(0054975)
szy (developer)
2016-06-14 16:58

Reviewed.
(0054984)
mkv (tester)
2016-06-14 19:16

Dear BugMaster,
corrected test cases from CR26491_2 and CR26491_3 branches are retested.
Now its are OK.
(0054985)
mkv (tester)
2016-06-14 19:18

Dear BugMaster,
Branches CR26491_2 and CR26491_3 are TESTED.
(0059967)
git (administrator)
2016-11-08 05:23

Branch CR26491 has been deleted by abv.

SHA-1: a36c07475d79890609c647da51edb727dfa5e2f4
(0059968)
git (administrator)
2016-11-08 05:24

Branch CR26491_1 has been deleted by abv.

SHA-1: 1328415659cd34f96907f114da1d89995fef9f7e
(0059969)
git (administrator)
2016-11-08 05:24

Branch CR26491_2 has been deleted by abv.

SHA-1: 5d45e46c95497900056decaf1f8006da5469e2e7
(0059970)
abv (manager)
2016-11-08 05:27

The problem of loading OCAF documents should be eliminated by fix for 0025812. However, CDF_Session singleton and application stored in it are still alive -- they are called by some functions to get some defaults (search for "CurrentApplication"). This seems to be useless, to be checked and cleared.
(0071298)
abv (manager)
2017-10-09 12:17

Closed as fixed by 0025812; remaining issues such as the one described in 0026491:0059970 should be solved in the frames of different issues, e.g. 0029195

- Issue History
Date Modified Username Field Change
2015-07-28 14:01 skv New Issue
2015-07-28 14:01 skv Assigned To => apn
2015-07-28 14:01 skv File Added: Study1_new_GEOM.cbf
2015-08-19 12:48 abv Assigned To apn => szy
2015-08-19 12:49 abv Relationship added related to 0025812
2015-09-23 12:41 git Note Added: 0046031
2015-09-23 12:48 szy Note Added: 0046034
2015-09-23 12:48 szy Assigned To szy => vro
2015-09-23 12:48 szy Status new => resolved
2015-09-23 12:48 szy Steps to Reproduce Updated View Revisions
2015-09-24 06:39 vro Assigned To vro => bugmaster
2015-09-24 06:39 vro Status resolved => reviewed
2015-09-24 18:26 git Note Added: 0046102
2015-09-24 19:11 mkv Assigned To bugmaster => mkv
2015-09-25 16:26 mkv Note Added: 0046142
2015-09-25 16:26 mkv Note Added: 0046143
2015-09-25 16:27 mkv Note Added: 0046144
2015-09-25 16:27 mkv Assigned To mkv => szy
2015-09-25 16:27 mkv Status reviewed => assigned
2015-09-28 18:44 git Note Added: 0046231
2015-09-28 18:45 szy Note Added: 0046232
2015-09-28 18:45 szy Assigned To szy => mkv
2015-09-28 18:45 szy Status assigned => resolved
2015-09-28 18:45 szy Note Added: 0046233
2015-09-28 18:45 szy Status resolved => reviewed
2015-09-28 19:21 git Note Added: 0046234
2015-09-29 18:26 mkv Note Added: 0046282
2015-09-29 18:27 mkv Note Added: 0046283
2015-09-29 18:27 mkv Assigned To mkv => szy
2015-09-29 18:27 mkv Status reviewed => assigned
2015-09-29 18:27 git Note Added: 0046284
2015-09-29 18:28 mkv Note Added: 0046285
2015-09-29 18:28 mkv Note Added: 0046286
2015-09-29 18:29 mkv Test case number => bugs caf bug26491_1, bug26491_2
2015-09-30 16:57 git Note Added: 0046334
2015-09-30 16:59 szy Note Added: 0046335
2015-09-30 16:59 szy Assigned To szy => mkv
2015-09-30 16:59 szy Status assigned => resolved
2015-09-30 17:00 szy Note Added: 0046336
2015-09-30 17:00 szy Status resolved => reviewed
2015-10-02 15:32 mkv Note Added: 0046402
2015-10-02 15:32 mkv Note Added: 0046403
2015-10-02 15:32 mkv Assigned To mkv => szy
2015-10-02 15:32 mkv Status reviewed => assigned
2015-12-30 15:52 git Note Added: 0049685
2015-12-30 15:57 szy Note Added: 0049686
2015-12-30 15:57 szy Status assigned => resolved
2015-12-30 15:58 szy Note Added: 0049687
2015-12-30 15:58 szy Assigned To szy => mkv
2015-12-30 15:58 szy Status resolved => reviewed
2016-01-08 10:03 abv Note Added: 0049727
2016-01-09 06:43 abv Target Version 7.0.0 => 7.1.0
2016-01-11 14:33 mkv Note Added: 0049774
2016-01-11 14:33 mkv Assigned To mkv => szy
2016-01-11 14:33 mkv Status reviewed => feedback
2016-01-12 17:28 git Note Added: 0049796
2016-01-12 17:37 szy Additional Information Updated View Revisions
2016-01-12 17:37 szy Note Added: 0049797
2016-01-12 17:37 szy Assigned To szy => mkv
2016-01-12 17:37 szy Status feedback => resolved
2016-01-12 17:38 szy Note Added: 0049798
2016-01-12 17:38 szy Status resolved => reviewed
2016-01-14 15:09 mkv Note Added: 0049858
2016-01-14 15:16 git Note Added: 0049859
2016-01-14 15:17 mkv Note Added: 0049860
2016-01-14 15:17 mkv Assigned To mkv => szy
2016-01-14 15:17 mkv Status reviewed => assigned
2016-01-19 17:51 git Note Added: 0049951
2016-01-19 17:53 szy Note Added: 0049952
2016-01-19 17:53 szy Status assigned => resolved
2016-01-19 17:54 szy Note Added: 0049953
2016-01-19 17:54 szy Assigned To szy => mkv
2016-01-19 17:54 szy Status resolved => reviewed
2016-01-19 18:15 git Note Added: 0049954
2016-01-20 14:01 mkv Note Added: 0049970
2016-01-20 14:02 mkv Note Added: 0049971
2016-01-20 14:02 mkv Note Added: 0049972
2016-01-20 14:02 mkv Assigned To mkv => szy
2016-01-20 14:02 mkv Status reviewed => assigned
2016-06-08 15:34 git Note Added: 0054803
2016-06-08 15:37 szy Note Added: 0054804
2016-06-08 15:37 szy Assigned To szy => apn
2016-06-08 15:37 szy Status assigned => resolved
2016-06-08 15:38 szy Note Added: 0054805
2016-06-08 15:38 szy Assigned To apn => mkv
2016-06-08 15:38 szy Status resolved => reviewed
2016-06-08 18:55 git Note Added: 0054825
2016-06-09 12:00 mkv Note Added: 0054837
2016-06-09 12:01 mkv Note Added: 0054838
2016-06-09 12:01 mkv Assigned To mkv => szy
2016-06-09 12:01 mkv Status reviewed => assigned
2016-06-09 12:27 git Note Added: 0054840
2016-06-09 14:55 git Note Added: 0054843
2016-06-09 16:59 szy Note Added: 0054849
2016-06-09 16:59 szy Assigned To szy => mkv
2016-06-09 16:59 szy Status assigned => resolved
2016-06-09 17:00 szy Note Edited: 0054849 View Revisions
2016-06-09 17:00 szy Note Added: 0054850
2016-06-09 17:00 szy Status resolved => reviewed
2016-06-10 15:42 mkv Note Added: 0054913
2016-06-10 15:42 mkv Note Added: 0054914
2016-06-10 15:42 mkv Assigned To mkv => szy
2016-06-10 15:42 mkv Status reviewed => assigned
2016-06-14 16:53 git Note Added: 0054973
2016-06-14 16:58 szy Note Added: 0054974
2016-06-14 16:58 szy Assigned To szy => mkv
2016-06-14 16:58 szy Status assigned => resolved
2016-06-14 16:58 szy Note Added: 0054975
2016-06-14 16:58 szy Status resolved => reviewed
2016-06-14 17:11 szy Note Edited: 0054974 View Revisions
2016-06-14 19:16 mkv Note Added: 0054984
2016-06-14 19:18 mkv Note Added: 0054985
2016-06-14 19:18 mkv Assigned To mkv => bugmaster
2016-06-14 19:18 mkv Status reviewed => tested
2016-06-16 14:32 abv Assigned To bugmaster => abv
2016-06-16 14:32 abv Status tested => feedback
2016-11-08 05:23 git Note Added: 0059967
2016-11-08 05:24 git Note Added: 0059968
2016-11-08 05:24 git Note Added: 0059969
2016-11-08 05:27 abv Note Added: 0059970
2016-11-08 05:27 abv Target Version 7.1.0 => 7.2.0
2017-07-27 09:43 abv Target Version 7.2.0 => 7.4.0*
2017-10-09 12:14 abv Relationship added related to 0029195
2017-10-09 12:17 abv Note Added: 0071298
2017-10-09 12:17 abv Status feedback => closed
2017-10-09 12:17 abv Resolution open => fixed
2017-10-09 12:17 abv Fixed in Version => 7.1.0
2017-10-09 12:17 abv Target Version 7.4.0* => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker